Loading...
Searching...
No Matches
mongocxx::v1::gridfs::upload_result Class Reference

`#include <mongocxx/v1/gridfs/upload_result.hpp>`

## Description

Result of uploading a file to a GridFS bucket.

Supported fields include:

- id

See also
  - GridFS (MongoDB Manual)

## Public Member Functions

| upload_result (upload_result &&other) noexcept
| Move constructor.
| upload_result (upload_result const &other)
| Copy construction.
| ~upload_result ()
| Destroy this object.
bsoncxx::v1::types::view | id () const
| Return the ID of the uploaded GridFS file.
upload_result & | operator= (upload_result &&other) noexcept
| Move assignment.
upload_result & | operator= (upload_result const &other)
| Copy assignment.

## Friends

bool | operator== (upload_result const &lhs, upload_result const &rhs)
| Compare equal when all supported fields compare equal.
bool | operator!= (upload_result const &lhs, upload_result const &rhs)
| Compare equal when all supported fields compare equal.

## Constructor & Destructor Documentation

## ~upload_result()

mongocxx::v1::gridfs::upload_result::~upload_result | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## upload_result() [1/2]

mongocxx::v1::gridfs::upload_result::upload_result | ( | upload_result && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## upload_result() [2/2]

mongocxx::v1::gridfs::upload_result::upload_result | ( | upload_result const & | other | ) |

Copy construction.

## Member Function Documentation

## id()

bsoncxx::v1::types::view mongocxx::v1::gridfs::upload_result::id | ( |  | ) | const

Return the ID of the uploaded GridFS file.

## operator=() [1/2]

upload_result & mongocxx::v1::gridfs::upload_result::operator= | ( | upload_result && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

upload_result & mongocxx::v1::gridfs::upload_result::operator= | ( | upload_result const & | other | ) |

Copy assignment.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | upload_result const & | lhs,
|  | upload_result const & | rhs )

friend

Compare equal when all supported fields compare equal.

## operator==

bool operator== | ( | upload_result const & | lhs,
|  | upload_result const & | rhs )

friend

Compare equal when all supported fields compare equal.

The documentation for this class was generated from the following file:

- mongocxx/v1/gridfs/upload_result.hpp